﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;


namespace ornek1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void bekle_Click(object sender, EventArgs e)
        {
            if (tisim.Text.Length > 0)
            {
                lisim.Items.Add(tisim.Text);
                tisim.Clear();
            }
        }

        private void bkapat_Click(object sender, EventArgs e)
        {
            this.Close(); // programi kapat
        }

        private void bdoku_Click(object sender, EventArgs e)
        {
            lisim.Items.Clear(); // listeyi temizle

            try
            {
                string[] satirlar = File.ReadAllLines("dosya.txt"); // dosya okundu

                for (int satir = 0; satir < satirlar.Length; satir++)
                {
                    if (satirlar[satir].Length > 0)
                        lisim.Items.Add(satirlar[satir]); // okunan satirlar bos degil ise listeye eklendi
                    //else
                      //  lisim.Items.Add("--"); // bos satirlar yerine -- yaz
                
                }

            }
            catch
            {
                MessageBox.Show("Dosya okunamadı!");
            }

        }

        private void bdyaz_Click(object sender, EventArgs e)
        {

            string veri = "";

            for (int satir = 0; satir < lisim.Items.Count; satir++)
                veri += lisim.Items[satir] + "\n"; // liste icerisinde yer alan bilgiler degisken icerisine atildi

            if (veri.Length > 0)
            {
                try
                {
                    File.WriteAllText("dosya.txt", veri); // satirlar dosyaya yazildi
                    MessageBox.Show("Dosya kaydedildi!");
                }
                catch
                {
                    MessageBox.Show("Dosya yazılamadı!");
                }
            }


          

        }
    }
}
